package com.friday.custody.service.basicService;

import com.baomidou.mybatisplus.extension.service.IService;
import com.friday.custody.dto.TenantEscrowAuthorizationInfoDto;
import com.friday.custody.entity.CustShareInfoEntity;

import java.util.List;

/**
 * 
 *
 * @author lyb
 * @email k0051582@gmail.com
 * @date 2022-01-05 14:07:22
 */
public interface CustShareInfoService extends IService<CustShareInfoEntity> {

    List<CustShareInfoEntity> queryByFundInfo(CustShareInfoEntity build);

    void updateShares(List<CustShareInfoEntity> custShareInfoEntities);

    List<CustShareInfoEntity> queryByTenant(TenantEscrowAuthorizationInfoDto tenant);

    void updateDataToZero(List<CustShareInfoEntity> toUpdateZeroList);
}

